Bug 23250 - blue on dark is hard to read for the typical human being
blue on dark is hard to read for the typical human being
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-03 16:23 EST by charles
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-03 16:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description charles 2001-01-03 16:23:12 EST
The DIR_COLORS file, installed in /etc by fileutils RPM packages includes
the following line:

  DIR 01;34	# directory

This means that directories in /bin/ls output will appear in bold blue over
whatever background color is set in the terminal.  Quite often that
background color happens to be black (such as in VGA text consoles) or
another dark color.  The way the human eye works and the way screens
and monitors are made to match it, blue only accounts for 11% of brightness
of white (while it's 59% for green and 30% for red).  See, e.g.,

  http://www3.ncsu.edu/ECE480/480_tvc.htm

for details.

This means that typical human beings (not just me) will have trouble
reading
blue on black.  (All this to say that this is not a simple matter of
taste.)  The
implication of this is that if blue is to be chosen as a foreground color
in
DIR_COLORS or elsewhere, then a complementary background color has
to be specified too.  White and yellow are good choices.  Therefore, I
suggest the following line for DIR_COLORS:

  DIR 01;34;47	# directory

or maybe as a second choice:

  DIR 01;34;43	# directory

This would keep blue as a foreground color and cause the least surprise to
everybody that is used to it.  Those already using a white background will
not even see the change.  Those using a dark background will no longer
have to damage their eyes to read it.
Comment 1 Bernhard Rosenkraenzer 2001-01-04 09:55:28 EST
This setting is pretty much the standard (it's the default from fileutils, and
[aside from Red Hat Linux] used at least on Slackware, Mandrake, and FreeBSD if
you turn on ls colorization).

Having just individual words appearing with a different background color looks
odd. Feel free to do this on systems you're maintaining, but we don't want to
diverge from the standard that far.

Note You need to log in before you can comment on or make changes to this bug.